> For a complete page index, fetch https://developer.close.com/llms.txt

# Create a new Activity Custom Field

POST https://api.close.com/api/v1/custom_field/activity/
Content-Type: application/json

Activity Custom Fields belong to Custom Activities, and have additional attributes:

- `custom_activity_type_id` – the ID of the Custom Activity Type this Field
  should belong to.
- `required` – whether the Field will be required to publish the activity.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-activity/create

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an any.

- `any`

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Request**

```json
{
  "accepts_multiple_values": false,
  "custom_activity_type_id": "actitype_1h5m6uHM9BZOpwVhyRJb4Y",
  "editable_with_roles": [],
  "name": "Contact Name",
  "required": false,
  "type": "text"
}
```

**Response**

```json
{
  "accepts_multiple_values": false,
  "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
  "custom_activity_type_id": "actitype_1h5m6uHM9BZOpwVhyRJb4Y",
  "date_created": "2020-08-07T17:11:44.299904",
  "date_updated": "2020-08-07T17:11:44.299904",
  "description": null,
  "editable_with_roles": [],
  "id": "cf_1nkEcnaoAiTJBfYmTBsOQqFCuIkqc82Q f4yKUx01e0K",
  "name": "Contact Name",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "required": false,
  "type": "text",
  "updated_ by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
}
```

**SDK Code**

```python
import requests

url = "https://api.close.com/api/v1/custom_field/activity/"

payload = {
    "accepts_multiple_values": False,
    "custom_activity_type_id": "actitype_1h5m6uHM9BZOpwVhyRJb4Y",
    "editable_with_roles": [],
    "name": "Contact Name",
    "required": False,
    "type": "text"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/custom_field/activity/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"accepts_multiple_values":false,"custom_activity_type_id":"actitype_1h5m6uHM9BZOpwVhyRJb4Y","editable_with_roles":[],"name":"Contact Name","required":false,"type":"text"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/custom_field/activity/"

	payload := strings.NewReader("{\n  \"accepts_multiple_values\": false,\n  \"custom_activity_type_id\": \"actitype_1h5m6uHM9BZOpwVhyRJb4Y\",\n  \"editable_with_roles\": [],\n  \"name\": \"Contact Name\",\n  \"required\": false,\n  \"type\": \"text\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/custom_field/activity/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"accepts_multiple_values\": false,\n  \"custom_activity_type_id\": \"actitype_1h5m6uHM9BZOpwVhyRJb4Y\",\n  \"editable_with_roles\": [],\n  \"name\": \"Contact Name\",\n  \"required\": false,\n  \"type\": \"text\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/custom_field/activity/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"accepts_multiple_values\": false,\n  \"custom_activity_type_id\": \"actitype_1h5m6uHM9BZOpwVhyRJb4Y\",\n  \"editable_with_roles\": [],\n  \"name\": \"Contact Name\",\n  \"required\": false,\n  \"type\": \"text\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/custom_field/activity/', [
  'body' => '{
  "accepts_multiple_values": false,
  "custom_activity_type_id": "actitype_1h5m6uHM9BZOpwVhyRJb4Y",
  "editable_with_roles": [],
  "name": "Contact Name",
  "required": false,
  "type": "text"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/custom_field/activity/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"accepts_multiple_values\": false,\n  \"custom_activity_type_id\": \"actitype_1h5m6uHM9BZOpwVhyRJb4Y\",\n  \"editable_with_roles\": [],\n  \"name\": \"Contact Name\",\n  \"required\": false,\n  \"type\": \"text\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```